-- RWR Threat Library
-- General Codes (N is a number bettwen 0 and 9):
-- EN = AWACS (Western/NATO)
-- 4N = Attack Aircraft (Western/NATO)
-- 5N = Bomber (Western/NATO)
-- 6N = Bomber (Russian/PLA)
-- 7N = AWACS (Russian/PLA)

rwr_codes = {}
rwr_codes["F-4E"				] = { code = "F4", coal = 1, desc = "F-4E" }
rwr_codes["F-4E-45MC"			] = { code = "F4", coal = 1, desc = "F-4E-45MC" }
rwr_codes["F-5E"				] = { code = "F5", coal = 1, desc = "F-5E" }
rwr_codes["F-5E-3"				] = { code = "F5", coal = 1, desc = "F-5E" }
rwr_codes["F-14A"				] = { code = "14", coal = 1, desc = "F-14" }
rwr_codes["F-14B"				] = { code = "14", coal = 1, desc = "F-14" }
rwr_codes["F-14A-135-GR"		] = { code = "14", coal = 1, desc = "F-14" }
rwr_codes["F-15C"				] = { code = "15", coal = 1, desc = "F-15C" }
rwr_codes["F-15E"				] = { code = "15", coal = 1, desc = "F-15E" }
rwr_codes["F-15ESE"				] = { code = "15", coal = 1, desc = "F-15E" }
rwr_codes["F-16A"				] = { code = "16", coal = 1, desc = "F-16" }
rwr_codes["F-16C_50"			] = { code = "16", coal = 1, desc = "F-16" }
rwr_codes["F-16C bl.50"			] = { code = "16", coal = 1, desc = "F-16" }
rwr_codes["F-16C bl.52d"		] = { code = "16", coal = 1, desc = "F-16" }
rwr_codes["F-16A MLU"			] = { code = "16", coal = 1, desc = "F-16" }
rwr_codes["F/A-18A"				] = { code = "18", coal = 1, desc = "F/A-18A" }
rwr_codes["F/A-18C"				] = { code = "18", coal = 1, desc = "F/A-18C" }
rwr_codes["FA-18C_hornet"		] = { code = "18", coal = 1, desc = "F/A-18C" }
rwr_codes["AV8BNA"				] = { code = "18", coal = 1, desc = "AV-8B+" }
rwr_codes["Tornado GR4"			] = { code = "TO", coal = 1, desc = "TORNADO" }
rwr_codes["Tornado IDS"			] = { code = "TO", coal = 1, desc = "TORNADO" }
rwr_codes["M-2000C"				] = { code = "M2", coal = 1, desc = "M2000-C" }
rwr_codes["Mirage 2000-5"		] = { code = "M5", coal = 1, desc = "M2000-5" }
rwr_codes["AJS37"				] = { code = "37", coal = 1, desc = "AJS-37" }
rwr_codes["B-1B"				] = { code = "51", coal = 1, desc = "B-1B" }
rwr_codes["B-52H"				] = { code = "52", coal = 1, desc = "B-52" }
rwr_codes["S-3B"				] = { code = "S3", coal = 1, desc = "S-3" }
rwr_codes["S-3B Tanker"			] = { code = "S3", coal = 1, desc = "S-3" }
rwr_codes["E-2C"				] = { code = "E2", coal = 1, desc = "AWACS" }
rwr_codes["E-3A"				] = { code = "E3", coal = 1, desc = "AWACS" }
rwr_codes["Mirage-F1B"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1BD"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1BE"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1BQ"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1C"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1C-200"		] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CE"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CG"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CH"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CJ"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CK"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CR"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CT"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1CZ"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1DDA"		] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1ED"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1EDA"		] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1EE"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1EH"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1EQ"			] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1M-CE"		] = { code = "M1", coal = 1, desc = "Mirage-F1" }
rwr_codes["Mirage-F1M-EE"		] = { code = "M1", coal = 1, desc = "Mirage-F1" }

rwr_codes["Hawk sr"				] = { code = "HK", coal = 1, desc="HAWK" }
rwr_codes["Hawk tr"				] = { code = "HK", coal = 1, desc="HAWK" }
rwr_codes["Hawk ln"				] = { code = "HK", coal = 1, desc="HAWK" }
rwr_codes["Hawk cwar"			] = { code = "HK", coal = 1, desc="HAWK" }
rwr_codes["Patriot str"			] = { code = "PT", coal = 1, desc="PATRIOT" }
rwr_codes["Patriot ln"			] = { code = "PT", coal = 1, desc="PATRIOT" }
rwr_codes["Patriot ECS"			] = { code = "PT", coal = 1, desc="PATRIOT" }
rwr_codes["Gepard"				] = { code = "GP", coal = 1, desc="GUEPARD" }
rwr_codes["Vulcan"				] = { code = "VL", coal = 1, desc="VULCAN" }
rwr_codes["Roland Radar"		] = { code = "RD", coal = 1, desc="ROLAND" }
rwr_codes["Roland ADS"			] = { code = "RD", coal = 1, desc="ROLAND" }
rwr_codes["NASAMS_Radar_MPQ64F1"] = { code = "NS", coal = 1, desc="NASAMS" }
rwr_codes["FPS-117"				] = { code = "77", coal = 1, desc="AN/FPS-117" }
rwr_codes["FPS-117 Dome"				] = { code = "77", coal = 1, desc="AN/FPS-117" }--added for CSG3
rwr_codes["rapier_fsa_launcher"	] = { code = "RA", coal = 1, desc="RAPIER" }

rwr_codes["La_Combattante_II"	 ] = { code = "CT", coal = 1, desc="CASTOR CTM" }
rwr_codes["TICONDEROG"		     ] = { code = "Y1", coal = 1, desc="AN/SPY-1 AEGIS" }
rwr_codes["USS_Arleigh_Burke_IIa"] = { code = "Y1", coal = 1, desc="AN/SPY-1 AEGIS" }
rwr_codes["PERRY"				 ] = { code = "49", coal = 1, desc="AN/SPS-49 PERRY CLASS" }
rwr_codes["VINSON"				 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["Stennis"				 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["CVN_71"				 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["CVN_72"			 	 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["CVN_73"				 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["CVN_75"				 ] = { code = "48", coal = 1, desc="AN/SPQ-9B NIMITZ CLASS" }
rwr_codes["LHA_Tarawa"			 ] = { code = "48", coal = 1, desc="AN/SPS-48 TARAWA CLASS" }

rwr_codes["Su-17M4"				] = { code = "FT", coal = 2, desc = "SU-17" }
rwr_codes["MiG-19P"				] = { code = "19", coal = 2, desc = "MiG-19" }
rwr_codes["MiG-21Bis"			] = { code = "21", coal = 2, desc = "MIG-21" }
rwr_codes["MiG-23MLD"			] = { code = "23", coal = 2, desc = "MIG-23" }
rwr_codes["MiG-27K"				] = { code = "23", coal = 2, desc = "MIG-27" }
rwr_codes["Su-24M"				] = { code = "24", coal = 2, desc = "SU-24" }
rwr_codes["Su-24MR"				] = { code = "24", coal = 2, desc = "SU-24" }
rwr_codes["MiG-25PD"			] = { code = "25", coal = 2, desc = "MIG-25" }
rwr_codes["MiG-25RBT"			] = { code = "25", coal = 2, desc = "MIG-25" }
rwr_codes["MiG-29A"				] = { code = "SB", coal = 2, desc = "MIG-29" }
rwr_codes["MiG-29S"				] = { code = "SB", coal = 2, desc = "MIG-29" }
rwr_codes["Su-27"				] = { code = "SB", coal = 2, desc = "SU-27" }
rwr_codes["Su-33"				] = { code = "SB", coal = 2, desc = "SU-33" }
rwr_codes["Su-30"				] = { code = "SB", coal = 2, desc = "SU-30" }
rwr_codes["J-11A"				] = { code = "SB", coal = 2, desc = "J-11A" }
rwr_codes["JF-17"				] = { code = "KL", coal = 2, desc = "JF-17" }
rwr_codes["MiG-31"				] = { code = "31", coal = 2, desc = "MIG-31" }
rwr_codes["Su-34"				] = { code = "34", coal = 2, desc = "SU-34" }
rwr_codes["Tu-22M3"				] = { code = "62", coal = 2, desc = "TU-22" }
rwr_codes["Tu-95MS"				] = { code = "65", coal = 2, desc = "TU-95" }
rwr_codes["Tu-142"				] = { code = "65", coal = 2, desc = "TU-142" }
rwr_codes["Tu-160"				] = { code = "65", coal = 2, desc = "TU-160" }
rwr_codes["KJ-2000"				] = { code = "EW", coal = 2, desc = "AWACS" }
rwr_codes["A-50"				] = { code = "EW", coal = 2, desc = "AWACS" }

rwr_codes["SNR_75V"				] = { code = "2", coal = 2, desc="SA-2 GUIDELINE" }
rwr_codes["p-19 s-125 sr"		] = { code = "2", coal = 2, desc="SR SA-2/SA-3" }
rwr_codes["snr s-125 tr"		] = { code = "3", coal = 2, desc="SA-3 GOA LOW BLOW" }
rwr_codes["RPC_5N62V"			] = { code = "5", coal = 2, desc="SA-5 GAMMON" }
rwr_codes["Kub 2P25 ln"			] = { code = "6", coal = 2, desc="SA-6 GAINFUL" }
rwr_codes["Kub 1S91 str"		] = { code = "6", coal = 2, desc="SA-6 GAINFUL" }
rwr_codes["Osa 9A33 ln"			] = { code = "8", coal = 2, desc="SA-8 GECKO" }
rwr_codes["Osa 9T217 ld"		] = { code = "8", coal = 2, desc="SA-8 GECKO" }
rwr_codes["S-300PS 5P85C ln"	] = { code = "10", coal = 2, desc="SA-10 / SA-12" }
rwr_codes["S-300PS 5P85D ln"	] = { code = "10", coal = 2, desc="SA-10 / SA-12" }
rwr_codes["S-300PS 40B6MD sr"	] = { code = "10", coal = 2, desc="SA-10 / SA-12" }
rwr_codes["S-300PS 64H6E sr"	] = { code = "10", coal = 2, desc="SA-10 / SA-12" }
rwr_codes["S-300PS 40B6M tr"	] = { code = "10", coal = 2, desc="SA-10 / SA-12" }
rwr_codes["SA-11 Buk SR 9S18M1"	] = { code = "11", coal = 2, desc="SA-11 GADFLY" }
rwr_codes["SA-11 Buk LN 9A310M1"] = { code = "11", coal = 2, desc="SA-11 GADFLY" }
rwr_codes["Dog Ear radar"		] = { code = "13", coal = 2, desc="SA-13 IR GUIDED" }
rwr_codes["Strela-1 9P31"		] = { code = "13", coal = 2, desc="SA-13 IR GUIDED" }
rwr_codes["Strela-10M3"			] = { code = "13", coal = 2, desc="SA-13 IR GUIDED" }
rwr_codes["Tor 9A331"			] = { code = "15", coal = 2, desc="SA-15 GAUNTLET" }
rwr_codes["2S6 Tunguska"		] = { code = "S9", coal = 2, desc="SA-19 GRISON" }
rwr_codes["ZSU-23-4 Shilka"		] = { code = "AA", coal = 2, desc="ZSU-23 SHLIKA" }
rwr_codes["HQ-7_STR_SP"			] = { code = "H7", coal = 2, desc="HQ-7 SEARCH" }
rwr_codes["HQ-7_LN_SP"			] = { code = "H7", coal = 2, desc="HQ-7 LAUNCHER" }
rwr_codes["SON_9"				] = { code = "FC", coal = 2, desc="SON-9 FIRE CAN" }

rwr_codes["RLS_19J6"			] = { code = "EW", coal = 2, desc="EWR" }
rwr_codes["1L13 EWR"			] = { code = "EW", coal = 2, desc="EWR" }
rwr_codes["55G6 EWR"			] = { code = "EW", coal = 2, desc="EWR" }

rwr_codes["ALBATROS"	        ] = { code = "N4", coal = 2, desc="SA-N-4" }
rwr_codes["KUZNECOW"	        ] = { code = "N4", coal = 2, desc="SA-N-4" }
rwr_codes["REZKY"	  		    ] = { code = "N4", coal = 2, desc="SA-N-4" }
rwr_codes["MOLNIYA"	            ] = { code = "NS", coal = 2, desc="Bass Tilt EW" }
rwr_codes["MOSCOW"	            ] = { code = "N3", coal = 2, desc="SA-N-3" }
rwr_codes["NEUSTRASH"	        ] = { code = "N9", coal = 2, desc="SA-N-9" }
rwr_codes["PIOTR"	       		] = { code = "N9", coal = 2, desc="SA-N-9" }

rwr_codes["Type_052B"	       	] = { code = "H2", coal = 2, desc="SA-N-12" }
rwr_codes["Type_052C"	       	] = { code = "H9", coal = 2, desc="HHQ-9" }
rwr_codes["Type_054A"	       	] = { code = "H6", coal = 2, desc="HQ-16" }
rwr_codes["Type_071"	       	] = { code = "HS", coal = 2, desc="PLA EW" }
rwr_codes["Type_093"	       	] = { code = "HS", coal = 2, desc="PLA EW" }

--Missing Stock added for CSG-3
rwr_codes["RD_75"	       	] = { code = "2", coal = 2, desc="RD_75" }
rwr_codes["S-300PS 5H63C 30H6_tr"	       	] = { code = "10", coal = 2, desc="SA-10TR" }
rwr_codes["S-300PS 40B6MD sr_19J6"	       	] = { code = "EWR", coal = 2, desc="SA-10TR" }

--CSG-3 added (HDS)
--SA2
rwr_codes["S_75M_Volhov_V759"			] = { code = "2", coal = 2, desc="HDS SA-2" }
--HQ2
rwr_codes["HQ_2_Guideline_LN"			] = { code = "2", coal = 2, desc="HDS HQ-2" }
--SA3
rwr_codes["5p73 V-601P ln"			] = { code = "3", coal = 2, desc="HDS SA-3" }
--SA10B
rwr_codes["S-300PS 30N6 TRAILER tr"			] = { code = "10", coal = 2, desc="HDS SA-10B" }
rwr_codes["S-300PS 30N6 TRAILER tr"			] = { code = "10", coal = 2, desc="HDS SA-10B" }
rwr_codes["S-300PS SA-10B 76N6E sr"			] = { code = "10", coal = 2, desc="HDS SA-10B Clam Shell" }
rwr_codes["S-300PS 64H6E TRAILER sr"			] = { code = "10", coal = 2, desc="HDS Big Bird" }
rwr_codes["S-300PS 5P85DE ln"			] = { code = "10", coal = 2, desc="HDS SA-10B" }
rwr_codes["S-300PS 5P85SE_mod ln"			] = { code = "10", coal = 2, desc="HDS SA-10B" }
rwr_codes["S-300PS 5P85SU_mod ln"			] = { code = "10", coal = 2, desc="HDS SA-10B" }
rwr_codes["S-300PS 64H6E MOD sr"			] = { code = "10", coal = 2, desc="HDS SA-10B Big Bird" }
--SA12
rwr_codes["S-300V 9S15 sr"			] = { code = "12", coal = 2, desc="HDS Bill Board 12" }
rwr_codes["S-300V 9S19 sr"			] = { code = "12", coal = 2, desc="HDS High Screen 12" }
rwr_codes["S-300V 9S32 tr"			] = { code = "12", coal = 2, desc="HDS SA-12" }
rwr_codes["S-300V 9A82 ln"			] = { code = "12", coal = 2, desc="HDS SA-12" }
rwr_codes["S-300V 9A83 ln"			] = { code = "12", coal = 2, desc="HDS SA-12" }
--SA17
rwr_codes["SA-17 Buk M1-2 LN 9A310M1-2"			] = { code = "17", coal = 2, desc="HDS SA-17" }
--SA20A
rwr_codes["S-300PMU1 40B6MD sr"			] = { code = "20", coal = 2, desc="HDS Clam Shell 20A" }
rwr_codes["S-300PMU1 64N6E sr"			] = { code = "20", coal = 2, desc="HDS Big Bird 20A" }
rwr_codes["S-300PMU1 40B6M tr"			] = { code = "20", coal = 2, desc="HDS SA-20A" }
rwr_codes["S-300PMU1 30N6E tr"			] = { code = "20", coal = 2, desc="HDS SA-20A" }
rwr_codes["S-300PMU1 5P85DE ln"			] = { code = "20", coal = 2, desc="HDS SA-20A" }
rwr_codes["S-300PMU1 5P85CE ln"			] = { code = "20", coal = 2, desc="HDS SA-20A" }
--SA20B
rwr_codes["S-300PMU2 64H6E2 sr"			] = { code = "20", coal = 2, desc="Big Bird 20B" }
rwr_codes["S-300PMU2 30N6E2 tr"			] = { code = "20", coal = 2, desc="HDS SA-20B" }
rwr_codes["S-300PMU2 30N6E2 mast tr"			] = { code = "20", coal = 2, desc="HDS SA-20B" }
rwr_codes["S-300PMU2 5P85SE2 ln"			] = { code = "20", coal = 2, desc="HDS SA-20B" }
--SA21
rwr_codes["S-400 91N6E sr"			] = { code = "21", coal = 2, desc="HDS Big Bird 21" }
rwr_codes["S-400 96L6E sr"			] = { code = "21", coal = 2, desc="HDS Cheese Board" }
rwr_codes["S-400 96L6E mast sr"			] = { code = "21", coal = 2, desc="HDS Cheese Board" }
rwr_codes["S-400 92N6E tr"			] = { code = "21", coal = 2, desc="HDS SA-21" }
rwr_codes["S-400 92N6E mast tr"			] = { code = "21", coal = 2, desc="HDS SA-21" }
rwr_codes["S-400 51P6A (9M96E2) ln"			] = { code = "21", coal = 2, desc="HDS SA-21" }
rwr_codes["S-400 51P6A ln"			] = { code = "21", coal = 2, desc="HDS SA-21" }
--SA22
rwr_codes["PantsirS1"			] = { code = "P", coal = 2, desc="CH SA-22" }
rwr_codes["PantsirS2"			] = { code = "P", coal = 2, desc="CH SA-22" }
--SA23 VM
rwr_codes["S-300VM 9S32ME tr"			] = { code = "23", coal = 2, desc="HDS SA-23" }
rwr_codes["S-300VM 9S15M2 sr"			] = { code = "23", coal = 2, desc="HDS Bill Board" }
rwr_codes["S-300VM 9S19M2 sr"			] = { code = "23", coal = 2, desc="HDS High Screen" }
rwr_codes["S-300VM 9A83ME ln"			] = { code = "23", coal = 2, desc="HDS SA-23" }
rwr_codes["S-300VM 9A82ME ln"			] = { code = "23", coal = 2, desc="HDS SA-23" }
--SA23 V4
rwr_codes["S-300V4 9S32M-1E tr"			] = { code = "23", coal = 2, desc="HDS SA-23" }
rwr_codes["S-300V4 9S15MDE sr"			] = { code = "23", coal = 2, desc="HDS Bill Board" }
rwr_codes["S-300V4 9S19M-1E sr"			] = { code = "23", coal = 2, desc="HDS High Screen" }
rwr_codes["S-300V4 9A82M-2E ln"			] = { code = "23", coal = 2, desc="HDS SA-23" }
rwr_codes["S-300V4 9A83M-2E ln"			] = { code = "23", coal = 2, desc="HDS SA-23" }
rwr_codes["S-300V4 9A84M-2E ln"			] = { code = "23", coal = 2, desc="HDS SA-23" }
--NASAM 3
rwr_codes["CH_NASAMS3_SR"			] = { code = "NS", coal = 2, desc="CH NASAM 3" }
rwr_codes["CH_NASAMS3_LN_AMRAAM_ER"			] = { code = "NS", coal = 2, desc="CH NASAM 3" }
rwr_codes["CH_NASAMS3_AMRAAM_ER"			] = { code = "NS", coal = 2, desc="CH NASAM 3" }

--CSG-3 added (SH Mod)
rwr_codes["EA-18G"			] = { code = "18", coal = 2, desc="SH Mod EA-18G" }
rwr_codes["FA-18E"			] = { code = "18", coal = 2, desc="SH Mod FA-18E" }
rwr_codes["FA-18F"			] = { code = "18", coal = 2, desc="SH Mod FA-18F" }

--Additional Aircraft
rwr_codes["RC135RJ"			] = { code = "RJ", coal = 2, desc="SSSMA RC-135 Rivet Joint" }
rwr_codes["RC135CB"			] = { code = "RJ", coal = 2, desc="SSSMA RC-135 Rivet Joint" }
rwr_codes["EC130"			] = { code = "CC", coal = 2, desc="SSSMA RC-135 Rivet Joint" }

rwr_codes["USS_Constellation"			] = { code = "Y6", coal = 2, desc="FFG-62 SPY-6" }
rwr_codes["Arleigh_Burke_Flight_III_AShM"			] = { code = "Y6", coal = 2, desc="AB FIII-62 SPY-6" }
rwr_codes["Arleigh_Burke_Flight_III_LACM"			] = { code = "Y6", coal = 2, desc="AB FIII-62 SPY-6" }
rwr_codes["Arleigh_Burke_Flight_III_SAM"			] = { code = "Y6", coal = 2, desc="AB FIII-62 SPY-6" }

