dofile('Scripts/Aircrafts/_Common/Cockpit/wsTypes_SAM.lua')
dofile('Scripts/Aircrafts/_Common/Cockpit/wsTypes_Airplane.lua')
dofile('Scripts/Aircrafts/_Common/Cockpit/wsTypes_Ship.lua')
dofile('Scripts/Aircrafts/_Common/Cockpit/wsTypes_Missile.lua')

DefaultType          = 100
DEFAULT_TYPE_ = {DefaultType, DefaultType, DefaultType, DefaultType}

symbolID = 
{
	{115, Buk_LN_9A310M1}, --SA11
	{107, Buk_SR_9S18M1}, --SA11/SA17 SR Snow Drift 	
	{120, Tunguska_2S6}, --SA19
	{119, Tor_9A331}, --SA15
	{117, Osa_9A33}, --SA8
	{121, ZSU_23_4_Shilka},
	{109, Dog_Ear},	
	{123, S125_TR_SNR}, --SA3 TR
	{122, S125_SR_P_19}, --SA2/HQ2/SA3/SA5 SR
	{108, Kub_STR_9S91}, --SA6
	{118, Strela_9A35M3}, --SA13
	{111, RLS_5H63C}, --SA10PMU Command post with radar
	{112, RLS_9C32_1_}, --SA12 TR Grill Pan "S-300V 9S32 tr"
	{113, S300V_9A82_}, --SA12 Giant launcher
	{114, S300V_9A83}, --SA12 Gladiator launcher
	{116, BUK_LL_}, --SA11 Loader Launcher
	{201, Roland_ADS},
	{202, Patriot_STR_ANMPQ_53},
	{203, Hawk_SR_ANMPQ_50},
	{204, Hawk_TR_ANMPQ_46},
	{205, Roland_rdr},
	{206, Hawk_CWAR_ANMPQ_55},
	{207, Gepard},
	{208, Vulcan_M163},	
	{301, Kuznecow_},
	{303, MOSCOW_},
	{304, GROZNY_},
	{305, AZOV_},
	{306, ALBATROS_},
	{307, AMETYST_},
	{308, OREL_},
	{309, REZKY_},
	{311, OSA_},
	{312, MOLNIYA_},
	{313, SKORY_},
	{314, SPRUANCE_},
	{315, TICONDEROGA_},
	{316, BORA_},
	{317, BOBRUISK_},
	{318, VETER_},
	{319, NEUSTRASH_},	
	{401, PERRY_},
	{402, VINSON_},
	
}

symbols_stringsID = 
{
	{104, "S-300PS 64H6E sr", "S-300PMU1 64N6E sr", "S-300PMU2 64H6E2 sr", "S-400 91N6E sr"}, --SA10 SR Big Bird "S-300PS 64H6E sr", SA20A SR Big Bird(HDS), SA20B SR Big Bird(HDS), SA21 SR Big Bird(HDS)
	{103, "S-300PS 40B6MD sr", "S-300PMU1 40B6MD sr"},--SA10 SR Clam Shell "S-300PS 40B6MD sr", SA20A SR Clam Shell(HDS), 
	{110, "S-300PS 40B6M tr", "S-300PS 5H63C 30H6_tr"}, --SA10 TR Flap Lid
	{105, "S-300V 9S15 sr", "S-300VM 9S15M2 sr", "S-300V4 9S15MDE sr"}, --SA12 SR Bill Board "S-300V 9S15 sr", SA23 VM SR Bill Board(HDS), SA23 V4 SR Bill Board(HDS)
	{106, "S-300V 9S19 sr", "S-300VM 9S19M2 sr", "S-300V4 9S19M-1E sr"}, --SA12 SR High Screen "S-300V 9S19 sr", SA23 VM SR High Screen(HDS), SA23 V4 SR High Screen(HDS)
	{124 ,"rapier_fsa_blindfire_radar"},
	{125 ,"rapier_fsa_launcher"},
	{126 ,"SNR_75V"}, --SA2/HQ2 TR Fan Song
	{127 ,"HQ-7_LN_SP"},
	{128 ,"HQ-7_STR_SP"}, 
	{403 ,"CVN_71"},
	{404 ,"CVN_72"},
	{405 ,"CVN_73"},
	{406 ,"Stennis"},
	{407 ,"LHA_Tarawa"},
	{320 ,"CV_1143_5"},
	{408 ,"Type_071"},
	{409 ,"Type_052B"},
	{410 ,"Type_052C"},
	{411 ,"Type_054A"},
	{412 ,"USS_Arleigh_Burke_IIa"},
	{209 ,"NASAMS_Radar_MPQ64F1", "CH_NASAMS3_SR"}, --NASAM 3(HDS) added
	{129 ,"RPC_5N62V"}, --SA5 TR Square Pair
	{413 ,"CVN_75"},
	{130 ,"RLS_19J6", "S-300PS 40B6MD sr_19J6"}, --SA5/SA10 SR Tin Shield
	{131 ,"SON_9"}, --Fire Can
	
	-- CSG-3 Added Core Game HARM Codes
	{102 ,"RD_75"}, --SA2 Range finder
	
	-- CSG-3 Added HARM Codes For HDS Mod
	
	--SA-17
	
	{600 ,"SA-17 Buk M1-2 LN 9A310M1-2"}, --SA17
	
	--SA20A
	
	--{601 ,"S-300PMU1 64N6E sr"}, --SA20A SR Big Bird
	--{602 ,"S-300PMU1 40B6MD sr"}, --SA20A SR Clam Shell
	{603 ,"S-300PMU1 30N6E tr", "S-300PMU1 40B6M tr", "S-300PMU2 30N6E2 tr", "S-300PMU2 30N6E2 mast tr"}, --SA20A TR Tomb Stone(HDS), SA20A TR Tomb Stone(HDS), SA20B TR Tomb Stone(HDS), SA20B TR Tomb Stone(HDS)
	--{604 ,"S-300PMU1 40B6M tr"}, --SA20A TR Tomb Stone
	
	--SA20B
	
	--{605 ,"S-300PMU2 64H6E2 sr"}, --SA20B SR Big Bird
	--{606 ,"S-300PMU2 30N6E2 tr"}, --SA20B TR Tomb Stone
	--{607 ,"S-300PMU2 30N6E2 mast tr"}, --SA20B TR Tomb Stone
	
	--SA21
	
	--{608 ,"S-400 91N6E sr"}, --SA21 SR Big Bird
	{609 ,"S-400 96L6E sr", "S-400 96L6E mast sr"}, --SA21 SR Cheese Board truck, SA21 SR Cheese Board mast
	--{610 ,"S-400 96L6E mast sr"}, --SA21 SR Cheese Board mast
	{611 ,"S-400 92N6E tr", "S-400 92N6E mast tr"}, --SA21 TR Grave Stone truck, SA21 TR Grave Stone mast
	--{612 ,"S-400 92N6E mast tr"}, --SA21 TR Grave Stone mast
	
	--SA22
	
	{613 ,"PantsirS1", "PantsirS2"}, --SA22
	
	--SA23 VM
	
	--{614 ,"S-300VM 9S15M2 sr"}, --SA23 VM SR Bill Board
	--{615 ,"S-300VM 9S19M2 sr"}, --SA23 VM SR High Screen
	{616 ,"S-300VM 9S32ME tr", "S-300V4 9S32M-1E tr"}, --SA23 VM TR Grill Screen, SA23 V4 TR Grill Screen
	
	--SA23 V4
	
	--{617 ,"S-300V4 9S15MDE sr"}, --SA23 V4 SR Bill Board
	--{618 ,"S-300V4 9S19M-1E sr"}, --SA23 V4 SR High Screen
	--{619 ,"S-300V4 9S32M-1E tr"}, --SA23 V4 TR Grill Screen
	
	--{620 ,"CH_NASAMS3_SR"}, --NASAM 3
	
}